echo off

cls
set DESTDIR=%WEBDIR%\Algo-S2\04-Tris
set SRCDIR=%WEBDIR%\Algo-S2\04-Tris
set COLORNAMES=006600
set COLORTYPES=993399
set COLORINSTR=990000
set COLORCMNTS=888833
set COLORSTRCT=118888

echo ------------------------------------------------------------

set SRCFILE=TD-Correction

set CIBLE=RecherchesDansTableauBooleen
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriSelectionTableauDePosition3D
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriBulleTableauDeChaines
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriBulleTableauDeDates
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=RechercheRacineCarree
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=TP-Correction

set CIBLE=RecherchesDansTableauBooleen
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriBulleTableauDeChaines
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriBulleTableauDeDates
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriSelectionTableauDePosition3D
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=RechercheRacineCarree
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=RechercheMinimum
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=RecherchePresence
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=RecherchePresenceMethodeSequentielle
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=RecherchePresenceMethodeDichotomique
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriInsertion
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriSelection
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriBulle
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriBulleOptimise
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriFusion
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriRapide
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=RechercheMinimum
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=RecherchePresence
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=RecherchePresenceMethodeSequentielle
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=RecherchePresenceMethodeDichotomique
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriInsertion
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriSelection
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriBulle
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriBulleOptimise
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriFusion
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TriRapide
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

pause

exit